> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all buildings



## OpenAPI

````yaml openapi-core.json GET /v1/buildings
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/buildings:
    get:
      tags:
        - Buildings
      summary: List all buildings
      operationId: buildings_list
      responses:
        '200':
          description: A object with a data property that contains an array of buildings.
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - building
                        active:
                          type: boolean
                          description: Whether the building is currently active.
                        address:
                          type: object
                          properties:
                            line1:
                              type:
                                - string
                                - 'null'
                            line2:
                              type:
                                - string
                                - 'null'
                            city:
                              type:
                                - string
                                - 'null'
                            country:
                              type:
                                - string
                                - 'null'
                            postal_code:
                              type:
                                - string
                                - 'null'
                            state:
                              type:
                                - string
                                - 'null'
                          description: The physical address of the building.
                        currency:
                          type: string
                          description: The default currency used for the building.
                        description:
                          type:
                            - string
                            - 'null'
                          description: An arbitrary description attached to the building.
                        marketing:
                          type: object
                          properties:
                            featured_photo:
                              type:
                                - string
                                - 'null'
                              description: >-
                                The ID of the file used as the featured photo
                                for the building.
                            photos:
                              type: array
                              items:
                                type: string
                              description: >-
                                IDs of additional photos used to market the
                                building.
                          description: Marketing details displayed for the building.
                        metadata:
                          type:
                            - object
                            - 'null'
                          additionalProperties:
                            type: string
                          description: >-
                            Set of key-value pairs that you can attach to an
                            object. This can be useful for storing additional
                            information about the object in a structured format.
                        name:
                          type: string
                          description: The name of the building.
                        removable:
                          type: boolean
                          description: Whether the building can be deleted.
                        single_unit:
                          type: boolean
                          description: Whether the building is treated as a single unit.
                        type:
                          type:
                            - string
                            - 'null'
                          enum:
                            - block_management
                            - commercial
                            - residential
                            - student
                            - null
                          description: The type of the building.
                        unit_fees:
                          type: object
                          properties:
                            management_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default management fee charged to landlords
                                for units in the building.
                            management_fee_amount:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The fixed management fee amount, in the smallest
                                currency unit, when using a `fixed` fee type.
                            management_fee_discount:
                              type:
                                - object
                                - 'null'
                              properties:
                                end:
                                  type:
                                    - number
                                    - 'null'
                                  description: >-
                                    The timestamp at which the management fee
                                    discount ends.
                                percent_off:
                                  type:
                                    - number
                                    - 'null'
                                  description: >-
                                    The percentage discount applied to the
                                    management fee.
                              required:
                                - percent_off
                              description: >-
                                An optional discount applied to the management
                                fee.
                            management_fee_type:
                              type:
                                - string
                                - 'null'
                              enum:
                                - percentage
                                - fixed
                                - null
                              description: How the management fee is calculated.
                            renewal_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default renewal fee charged to landlords for
                                units in the building.
                            rent_review_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default rent review fee charged to landlords
                                for units in the building.
                            tax:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default tax rate applied to fees charged to
                                landlords for units in the building.
                            tax_behavior:
                              type:
                                - string
                                - 'null'
                              enum:
                                - exclusive
                                - inclusive
                                - null
                              description: >-
                                Whether the default tax rate is inclusive or
                                exclusive of the fee amount.
                            tenant_find_fee:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The default tenant find fee charged to landlords
                                for units in the building.
                            updated_at:
                              type:
                                - integer
                                - 'null'
                              description: >-
                                The time at which the unit fees were last
                                updated.
                          required:
                            - management_fee
                            - management_fee_amount
                            - management_fee_discount
                            - management_fee_type
                            - renewal_fee
                            - rent_review_fee
                            - tax
                            - tax_behavior
                            - tenant_find_fee
                            - updated_at
                          description: Default fees applied to units in this building.
                      required:
                        - id
                        - created
                        - object
                        - active
                        - address
                        - currency
                        - description
                        - marketing
                        - name
                        - removable
                        - single_unit
                        - type
                        - unit_fees
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````